package fr.natan.akkastreamfileprocessingapi.service

import akka.Done
import fr.natan.akkastreamfileprocessingapi.models.ModelsAndJsonMap.{Person, TvSerie}

import scala.concurrent.Future

trait AkkaStreamFileProcessingFuture {
  def getPersonByIdFuture(personID: String): Future[Person]
  def getPersonByNameFuture(primaryName: String):  Future[Person]

  def getTvSerieByIdFuture(tvSerieID: String): Future[TvSerie]
  def getTvSeriesByPrimaryTitleFuture(tvSerieTitle: String):Future[IndexedSeq[TvSerie]]

  def getPersonsForTvSerieByTvSerieTitleFuture(tvSeriePrimaryTitle: String): Future[IndexedSeq[Person]]
  def getPersonsForTvSerieByTvSerieIDFuture(tvSerieId: String): Future[IndexedSeq[Person]]
  def getAllTvSeriesFuture: Future[Done]
  def getAllPersonsFuture: Future[Done]
}
